﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using moxa;

namespace UartMode
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int nPort, nMode;
            nPort = 1;
            nMode =1;
            string smode;
            bool bSuccess;

            System.Console.WriteLine("UART Test Program");
            System.Console.WriteLine("\t (0) Exit Program");
            System.Console.WriteLine("\t (1) Display UART Mode");
            System.Console.WriteLine("\t (2) Set  UART Mode");

            // read a char.
            string sin = System.Console.ReadLine();
            int n = int.Parse(sin);
        
            do
            {
                switch (n)
                {
                    // if char == '1', Display current uart mode
                    case 1:
                        for (int i = 1; i < 3; i++)
                        {
                            //Get uart mode
                            nPort = i;
                            moxa.v2100.SerialInterface.SerialMode mode = moxa.v2100.SerialInterface.GetComPortInterface(nPort);
                            System.Console.WriteLine("COM{0}={1}", nPort, mode);
                        }
                        break;
                    // if char == '2', Set uart mode 
                    case 2:
                        System.Console.Write("Input the Port Number (1 or 2) = ");
                        smode = System.Console.ReadLine();
                        nPort = int.Parse(smode);

                        // read port value from console
                        System.Console.Write("Input the Mode value (0 ~ 3) = ");
                        smode = System.Console.ReadLine();
                        nMode = int.Parse(smode);

                        //Set uart mode
                        bSuccess=moxa.v2100.SerialInterface.SetComPortInterface(nPort, (moxa.v2100.SerialInterface.SerialMode)nMode);
                        if (bSuccess)
                        {
                            System.Console.WriteLine("Success");
                        }
                        break;
                                               
                  }
                  sin = System.Console.ReadLine();
                  n = int.Parse(sin);
              } while (n != 0);
         }
    }
}
