/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "devices.h"

/*
	index[n]: 0  ; BIT 0
			  1  ; BIT 1
	          2  ; BIT 2
	          3  ; BIT 3
		      4  ; BIT 4
		      5  ; BIT 5
		      6  ; BIT 6
		      7  ; BIT 7
			 ....
	data[n]: 0  ; Digital LOW
	         1  ; Digital HIGH
	         
*/

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hDIO;
	BYTE	byteDin;
	BOOL	bolDout,bolClose;
	int		index;
	int		data;
	int		intDout,intDin;
	index=3;
	data=1;
	int i=0;


	if(argc==3)
	{

		hDIO=DIO_init();
		//Get index number
		index = _wtol(argv[1]);

		//Get DOUT data
		data  = _wtol(argv[2]);

		//Set DOUT
		bolDout=DigitalOutput_Set(hDIO,index, data);
		if(!bolDout)
		{
			printf("DigitalOutput_Set fail!\n");
		}
		
		//GET DIN
		for (index=0;index<3;index++)
		{
		intDin=DigitalInput_Get(hDIO,index);
		printf("Din%d = %d\n",index,intDin);
		
		}

		//Get DOUT
		for (index=0;index<3;index++)
		{
		intDout=DigitalOutput_Get(hDIO,index);
		printf("Dout%d=%d\n",index,intDout);
		
		}
	}
	else
	{
		printf("\n\n");
		printf("Usage: \n");
		printf("\ttest_DIO  [Port] [Digit]    ; Port=0~7  Digit=0,1\n");
	}
	
	return 0;
}

